# Class NodeCreatorTool

Class NodeCreatorTool

Declaration :

- C++ : class NodeCreatorTool : public BuilderTool, public Applicable<>

This Tool implementation plays the central role in the buld process: given a MObject from Session, it is able to attach ProcNodes to the render engine under construction such as to reflect the properties of the MObject in the actual render.

Artifact : nodecreatertool

Operation treat

Declaration :

- Uml : + treat(inout something : Buildable) : void
- C++ : public: void treat (Buildable& something)

Operation treat

Declaration :

- Uml : + treat(inout clip : Clip) : void
- C++ : public: void treat (Clip& clip)

Operation treat

Declaration :

- Uml : + treat(inout effect : Effect) : void
- C++ : public: void treat (Effect& effect)

Operation treat

Declaration :

- Uml : + treat(inout auto : Auto) : void
- C++ : public: void treat (Auto& auto)

Attribut proc

Declaration :

- Uml : # proc : Processor
- C++ : protected: Processor proc

holds the Processor (Render Engine Element) to be built by the current build step

All public operations : treat , treat , treat , treat , treat , treat